api1: &fieldClimateApiDomain
  domain: "https://api.fieldclimate.com/v1"

api2: &senslogApiDomain
  domain: "https://sensor.lesprojekt.cz/senslog1O/"

settings:
  - SenslogV1:
      name: "Senslog V1"
      provider: "cz.senslog.connector.push.rest.senslog.v1.SenslogV1ConnectorPushProvider"
      baseUrl: "https://sensor.lesprojekt.cz/senslog1O/"


  - Fieldclimate:
      name: "FieldClimate: Pessl Instruments"
      provider: "cz.senslog.connector.fetch.fieldclimate.ConnectorFetchFieldClimateProvider"
      startDate: "2021-01-01T00:00:00.000" # yyyy-MM-DD hh:mm:ss.sss
      timeZone: "Europe/Riga"
      period: 12 # in hours (integer)

      authentication:
        publicKey: "3737ed4fe98fae975e54991216ed473c8d7db48662deff19"
        privateKey: "ed2e4abacdaad1d542eeabcec4ee4f6c8fbf3b8bb167b84b"

      stationsHost:
        <<: *fieldClimateApiDomain
        path: "/user/stations"

      stationDataHost:
        <<: *fieldClimateApiDomain
        path: "/data/normal/{station_id}/raw/from/{from}/to/{to}"

      stationTimeRangeHost:
        <<: *fieldClimateApiDomain
        path: "/data/{station_id}"

      allowedStation:
        # station_id:
        "0120821E":
            # sensor_id: [channel]
            - 17153: [4062, 4063, 4064, 4065, 4066, 4067, 4068, 4069, 4070, 4071, 4072, 4073]
            - 19969: [4038, 4039, 4040, 4041, 4042, 4043, 4044, 4045, 4046, 4047, 4048, 4049]
            - 20228: [4050, 4051, 4052, 4053, 4054, 4055, 4056, 4057, 4058, 4059, 4060, 4061]

        # station_id: [sensor_id]
        "00208048": [4, 5, 6, 49, 143, 506, 507, 600]

        # station_id:
        "0120821D":
            #sensor_id: [channel]
            - 17153: [4062, 4063, 4064, 4065, 4066, 4067, 4068, 4069, 4070, 4071, 4072, 4073]
            - 19969: [4038, 4039, 4040, 4041, 4042, 4043, 4044, 4045, 4046, 4047, 4048, 4049]
            - 20228: [4050, 4051, 4052, 4053, 4054, 4055, 4056, 4057, 4058, 4059, 4060, 4061]


      sessionProxy:
        user: "vilcini"
        group: "vilcini"
        lastObservationHost:
          <<: *senslogApiDomain
          path: "SensorService"


connectors:
    - FieldclimateToV1:
        fetcher: "Fieldclimate"
        pusher: "SenslogV1"
        period: 10 # 10 minutes
        initDelay: 5